## GdauiProviderSelector

GdauiProviderSelector — Select a database provider from a combo box

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkWidget * | gdaui_provider_selector_new ()
GdaServerProvider * | gdaui_provider_selector_get_provider_obj ()
const gchar * | gdaui_provider_selector_get_provider ()
gboolean | gdaui_provider_selector_set_provider ()

## Types and Values

struct | GdauiProviderSelector

## Includes

    #include <libgda/thread-wrapper/gda-thread-wrapper.h>

## Description

## Functions

### gdaui_provider_selector_new ()

    GtkWidget *
    gdaui_provider_selector_new (void);

Create a new GdauiProviderSelector widget.

#### Returns

the newly created widget.

[transfer full]

### gdaui_provider_selector_get_provider_obj ()

    GdaServerProvider *
    gdaui_provider_selector_get_provider_obj
                                   (GdauiProviderSelector *selector);

Get the selected provider as a GdaServerProvider object

#### Parameters

selector | a GdauiProviderSelector widget |

#### Returns

a GdaServerProvider or `NULL` if an error occurred.

[transfer none]

Since: 4.2

### gdaui_provider_selector_get_provider ()

    const gchar *
    gdaui_provider_selector_get_provider (GdauiProviderSelector *selector);

Get the selected provider.

#### Parameters

selector | a GdauiProviderSelector widget |

#### Returns

the selected provider, or `NULL` if no provider is selected.

[transfer none]

Since: 4.2

### gdaui_provider_selector_set_provider ()

    gboolean
    gdaui_provider_selector_set_provider (GdauiProviderSelector *selector,
                                          const gchar *provider);

Forces `selector` to be set on `provider`

#### Parameters

selector | a GdauiProviderSelector widget |
provider | the provider to be selected, or `NULL` for the default (SQLite). | [allow-none]

#### Returns

`TRUE` if `provider` has been selected

Since: 4.2

## Types and Values

### struct GdauiProviderSelector

    struct GdauiProviderSelector {
    	GdauiCombo                    parent;
    	GdauiProviderSelectorPrivate *priv;
    };